org.h2gis.functions.spatial.mesh

## Class ST_Voronoi

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.mesh.ST_Voronoi

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_Voronoi
    extends org.h2gis.api.DeterministicScalarFunction

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_Voronoi()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static com.vividsolutions.jts.geom.GeometryCollection` `voronoi(com.vividsolutions.jts.geom.Geometry geomCollection)`
`static com.vividsolutions.jts.geom.GeometryCollection` `voronoi(com.vividsolutions.jts.geom.Geometry geomCollection, int outputDimension)`
`static com.vividsolutions.jts.geom.GeometryCollection` `voronoi(com.vividsolutions.jts.geom.Geometry geomCollection, int outputDimension, com.vividsolutions.jts.geom.Geometry envelope)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Voronoi

    public ST_Voronoi()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### voronoi

    public static com.vividsolutions.jts.geom.GeometryCollection voronoi(com.vividsolutions.jts.geom.Geometry geomCollection)
                                                                  throws SQLException

Throws:
  `SQLException`

#### voronoi

    public static com.vividsolutions.jts.geom.GeometryCollection voronoi(com.vividsolutions.jts.geom.Geometry geomCollection,
                                                                         int outputDimension)
                                                                  throws SQLException

Throws:
  `SQLException`

#### voronoi

    public static com.vividsolutions.jts.geom.GeometryCollection voronoi(com.vividsolutions.jts.geom.Geometry geomCollection,
                                                                         int outputDimension,
                                                                         com.vividsolutions.jts.geom.Geometry envelope)
                                                                  throws SQLException

Throws:
  `SQLException`